Subject: Re: e100 firmware in 2.6.29-rc7?

From: Ben Greear <[email-masked]>
Date: Mon, 16 Mar 2009 13:20:43 -0700

Dan Williams wrote:

>> Well, that's an annoyance.  Would it be that hard to allow modular drivers
>> to compile-in their FW as well?  It would be a nice option for
>> those of us trying to build portable pre-compiled kernels for various
>> distributions and distribution versions.
> 
> Most of those distros will have firmware loading capability though,
> right?  Every non-embedded distro (Fedora, RHEL, SUSE, Ubuntu,
> Slackware, Mandriva, Xandros, etc) has it, so if you're building kernels
> for those, there's not really a problem with dropping firmware into the
> firmware directory for that distro, right?

No, but figuring out the problem from a customer's bug report ("nothing works")
and then finding the firmware and having the customer install it will be much
worse than just having everything work like it used to.

I just see zero benefits to having external firmware
for the vast majority of end-users, and lots of downside
for at least myself.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com

------------------------------------------------------------------------------
Apps built with the Adobe(R) Flex(R) framework and Flex Builder(TM) are
powering Web 2.0 with engaging, cross-platform capabilities. Quickly and
easily build your RIAs with Flex Builder, the Eclipse(TM)based development
software that enables intelligent coding and step-through debugging.
Download the free 60 day trial. http://p.sf.net/sfu/www-adobe-com